Get VASP by ID
Retrieves detailed information about a specific VASP by its unique identifier. Returns VASP details including public key if available.
GET
/
screening
/
trlink
/
customers
/
integration
/
{customerIntegrationId}
/
vasps
/
{vaspId}
TypeScript
const response: Promise<FireblocksResponse<TRLinkVaspDto>> = fireblocks.tRLink.getTRLinkVaspById(tRLinkApiGetTRLinkVaspByIdRequest);CompletableFuture<ApiResponse<TRLinkVaspDto>> response = fireblocks.tRLink().getTRLinkVaspById(customerIntegrationId, vaspId);response = fireblocks.t_r_link.get_t_r_link_vasp_by_id(customer_integration_id, vasp_id);curl --request GET \
--url https://api.fireblocks.io/v1/screening/trlink/customers/integration/{customerIntegrationId}/vasps/{vaspId}const options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/screening/trlink/customers/integration/{customerIntegrationId}/vasps/{vaspId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "did:ethr:0x1234567890abcdef",
"name": "ACME Virtual Assets",
"legalName": "ACME Virtual Assets Corporation",
"nationalIdentification": {
"identifier": "123456789",
"type": "LEI",
"authority": "Financial Conduct Authority"
},
"geographicAddress": {
"formattedAddress": "123 Main Street, New York, NY 10001, USA",
"country": "USA",
"streetName": "Main Street",
"buildingNumber": "123",
"city": "New York",
"postalCode": "10001"
},
"publicKey": "-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA...\n-----END PUBLIC KEY-----"
}{
"message": "<string>",
"code": 123
}Path Parameters
Customer integration unique identifier
VASP unique identifier (DID format)
Response
VASP retrieved successfully
VASP unique identifier (DID format)
Example:
"did:ethr:0x1234567890abcdef"
VASP display name
Example:
"ACME Virtual Assets"
Legal entity name
Example:
"ACME Virtual Assets Corporation"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
VASP public key for encryption
Example:
"-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA...\n-----END PUBLIC KEY-----"
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<TRLinkVaspDto>> = fireblocks.tRLink.getTRLinkVaspById(tRLinkApiGetTRLinkVaspByIdRequest);CompletableFuture<ApiResponse<TRLinkVaspDto>> response = fireblocks.tRLink().getTRLinkVaspById(customerIntegrationId, vaspId);response = fireblocks.t_r_link.get_t_r_link_vasp_by_id(customer_integration_id, vasp_id);